Amtk-5.1.1

Introduction to Amtk

The Amtk package contains a basic GTKUIManager replacement based on GAction.

本パッケージは LFS-9.1 において正しくビルドでき動作することが確認されています。

Package Information

Amtk Dependencies

Required

GTK+-3.24.21

Optional

GTK-Doc-1.32 (for documentation) and Valgrind-3.16.1

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/amtk

Installation of Amtk

Install Amtk by running the following commands:

./configure --prefix=/usr &&
make

To test the results, issue: make check.

Now, as the root user:

make install

Command Explanations

--enable-gtk-doc: GTK-Doc をインストール済で API ドキュメントを再構築する場合に指定します。

Contents

Installed Programs: None
Installed Libraries: libamtk-5.so
Installed Directories: /usr/include/amtk-5 and /usr/share/gtk-doc/html/amtk-5.0

Short Descriptions

libamtk-5.so

provides a basic GTKUIManager replacement API based on GAction.

最終更新日: 2020-05-30 03:08:16 +0900